/******************************************************************************
 * Product: iDempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2012 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package org.compiere.model;

import java.math.BigDecimal;
import java.sql.Timestamp;
import org.compiere.util.KeyNamePair;

/** Generated Interface for M_LocatorType
 *  @author iDempiere (generated) 
 *  @version Release 4.1
 */
public interface I_M_LocatorType 
{

    /** TableName=M_LocatorType */
    public static final String Table_Name = "M_LocatorType";

    /** AD_Table_ID=200175 */
    public static final int Table_ID = 200175;

    KeyNamePair Model = new KeyNamePair(Table_ID, Table_Name);

    /** AccessLevel = 3 - Client - Org 
     */
    BigDecimal accessLevel = BigDecimal.valueOf(3);

    /** Load Meta Data */

    /** Column name AD_Client_ID */
    public static final String COLUMNNAME_AD_Client_ID = "AD_Client_ID";

	/** Get Client.
	  * Client/Tenant for this installation.
	  */
	public int getAD_Client_ID();

    /** Column name AD_Org_ID */
    public static final String COLUMNNAME_AD_Org_ID = "AD_Org_ID";

	/** Set Organization.
	  * Organizational entity within client
	  */
	public void setAD_Org_ID (int AD_Org_ID);

	/** Get Organization.
	  * Organizational entity within client
	  */
	public int getAD_Org_ID();

    /** Column name Created */
    public static final String COLUMNNAME_Created = "Created";

	/** Get Created.
	  * Date this record was created
	  */
	public Timestamp getCreated();

    /** Column name CreatedBy */
    public static final String COLUMNNAME_CreatedBy = "CreatedBy";

	/** Get Created By.
	  * User who created this records
	  */
	public int getCreatedBy();

    /** Column name Description */
    public static final String COLUMNNAME_Description = "Description";

	/** Set Description.
	  * Optional short description of the record
	  */
	public void setDescription (String Description);

	/** Get Description.
	  * Optional short description of the record
	  */
	public String getDescription();

    /** Column name Help */
    public static final String COLUMNNAME_Help = "Help";

	/** Set Comment/Help.
	  * Comment or Hint
	  */
	public void setHelp (String Help);

	/** Get Comment/Help.
	  * Comment or Hint
	  */
	public String getHelp();

    /** Column name IsActive */
    public static final String COLUMNNAME_IsActive = "IsActive";

	/** Set Active.
	  * The record is active in the system
	  */
	public void setIsActive (boolean IsActive);

	/** Get Active.
	  * The record is active in the system
	  */
	public boolean isActive();

    /** Column name IsAvailableForReplenishment */
    public static final String COLUMNNAME_IsAvailableForReplenishment = "IsAvailableForReplenishment";

	/** Set Available for Replenishment	  */
	public void setIsAvailableForReplenishment (boolean IsAvailableForReplenishment);

	/** Get Available for Replenishment	  */
	public boolean isAvailableForReplenishment();

    /** Column name IsAvailableForReservation */
    public static final String COLUMNNAME_IsAvailableForReservation = "IsAvailableForReservation";

	/** Set Available for Reservation	  */
	public void setIsAvailableForReservation (boolean IsAvailableForReservation);

	/** Get Available for Reservation	  */
	public boolean isAvailableForReservation();

    /** Column name IsAvailableForShipping */
    public static final String COLUMNNAME_IsAvailableForShipping = "IsAvailableForShipping";

	/** Set Available for Shipping	  */
	public void setIsAvailableForShipping (boolean IsAvailableForShipping);

	/** Get Available for Shipping	  */
	public boolean isAvailableForShipping();

    /** Column name M_LocatorType_ID */
    public static final String COLUMNNAME_M_LocatorType_ID = "M_LocatorType_ID";

	/** Set Locator Type	  */
	public void setM_LocatorType_ID (int M_LocatorType_ID);

	/** Get Locator Type	  */
	public int getM_LocatorType_ID();

    /** Column name M_LocatorType_UU */
    public static final String COLUMNNAME_M_LocatorType_UU = "M_LocatorType_UU";

	/** Set M_LocatorType_UU	  */
	public void setM_LocatorType_UU (String M_LocatorType_UU);

	/** Get M_LocatorType_UU	  */
	public String getM_LocatorType_UU();

    /** Column name Name */
    public static final String COLUMNNAME_Name = "Name";

	/** Set Name.
	  * Alphanumeric identifier of the entity
	  */
	public void setName (String Name);

	/** Get Name.
	  * Alphanumeric identifier of the entity
	  */
	public String getName();

    /** Column name Updated */
    public static final String COLUMNNAME_Updated = "Updated";

	/** Get Updated.
	  * Date this record was updated
	  */
	public Timestamp getUpdated();

    /** Column name UpdatedBy */
    public static final String COLUMNNAME_UpdatedBy = "UpdatedBy";

	/** Get Updated By.
	  * User who updated this records
	  */
	public int getUpdatedBy();
}
